<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [getChanceToWinClash](./bitburner.gang.getchancetowinclash.md)

## Gang.getChanceToWinClash() method

Get chance to win clash with other gang.

**Signature:**

```typescript
getChanceToWinClash(gangName: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

gangName


</td><td>

string


</td><td>

Target gang


</td></tr>
</tbody></table>

**Returns:**

number

Chance you have to win a clash with the specified gang.

## Remarks

RAM cost: 4 GB

Returns the chance you have to win a clash with the specified gang. The chance is returned in the range 0-1.

